Debian Bug report logs - #622754
Please binNMU listed packages against libdb-dev (db5.1 transition)

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Ondřej Surý <ondrej@debian.org>

Date: Thu, 14 Apr 2011 12:45:01 UTC

Severity: normal

Merged with 623189

Done: Mehdi Dogguy <mehdi@dogguy.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#622754; Package release.debian.org. (Thu, 14 Apr 2011 12:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 14 Apr 2011 12:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Please binNMU listed packages against libdb-dev (db5.1 transition)
Date: Thu, 14 Apr 2011 14:41:12 +0200
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: binnmu

nmu hpsockd_0.17 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621104)"
nmu isync_1.0.4-2.1 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621106)"
nmu bind9_1:9.7.3.dfsg-1 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621110)"
nmu pkspxy_0.5-10 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621111)"
nmu qtstalker_0.32-3.2 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621112)"
nmu dkim-milter_2.8.2.dfsg-1  . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621347)"
nmu batv-milter_0.4.0.dfsg-2 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621348)"
nmu dnshistory_1.3-2 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621349)"
nmu hotkeys_0.5.7.4-0.3 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621354)"
nmu jabberd2_2.2.8-2 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621356)"
nmu iproute_20110315-1 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621387)"
nmu nmh_1.3-1 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621397)"
nmu citadel_7.84-3 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621404)"
nmu libapache2-mod-qos_9.54-2 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621405)"
nmu log4cxx_0.10.0-1.1 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621407)"
nmu evolution-exchange_2.32.2-2 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621414)"
nmu librcc_0.2.9-2 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621417)"
nmu opendkim_2.1.3+dfsg-1 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621418)"
nmu libpam-ccreds_10-5 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621424)"
nmu heimdal_1.4.0-5 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621416)"
nmu perdition_1.19~rc4-2 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621427)"
nmu chise-base_0.3.0-2 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621430)"
nmu moc_1:2.5.0~alpha4+svn20091009-1 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621429)"
nmu webdruid_0.5.4-12 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621433)"
nmu skksearch_0.0-17 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621434)"
nmu dovecot_1:1.2.15-4 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621428)"
nmu nss-updatedb_10-2 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621441)"
nmu ggz-server_0.0.14.1-1.5 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621439)"
nmu webalizer_2.01.10-32.7 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621446)"
nmu redland_1.0.13-2 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621444)"
nmu jigdo_0.7.3-3 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621451)"
nmu xemacs21_21.4.22-3.1 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621456)"
nmu pam_1.1.2-2 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621457)"
nmu cairo-dock-plugins_2.3.0~0rc1-1 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621454)"

I have handchecked every package in this batch to compile cleanly and
links to libdb5.1 in updated unstable amd64 pbuilder environment.

The rest of the packages with db5.1 tag bug are either:
a) depending on non-generic libdb-dev (libdb4.[678]-dev)
b) non-buildable due some other error (openssl transition, opie removal)
c) tagged as pending by maintainer
d) built against db5.1 header, but linked to db4.8 library (#621450)

Regards,
Ondrej

The script used for checking (for reference and possible future use):

apt-get install libdb-dev
echo "libdb-dev hold" | dpkg --set-selections
P=<package>;
apt-get source $P && apt-get -y build-dep $P && \
cd $(find /tmp/buildd/ -type d -name $P-*) && \
dpkg-buildpackage && \
for deb in /tmp/buildd/*.deb; do dpkg --info $deb | grep libdb; done;

(Eye check for libdb5.1 dependency.)

-- System Information:
Debian Release: squeeze/sid
  APT prefers maverick-updates
  APT policy: (500, 'maverick-updates'), (500, 'maverick-security'), (500, 'maverick-proposed'), (500, 'maverick-backports'), (500, 'maverick')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.35-28-generic (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Forcibly Merged 622754 623189. Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Thu, 28 Apr 2011 09:12:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#622754; Package release.debian.org. (Thu, 19 May 2011 13:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 19 May 2011 13:39:05 GMT) Full text and rfc822 format available.

Message #12 received at 622754@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Debian Bug Tracking System <622754@bugs.debian.org>
Subject: Updated list of binNMUs needed for db5.1 transition
Date: Thu, 19 May 2011 15:35:38 +0200
Package: release.debian.org
Severity: normal

Hi,

this is more up-to-date list of packages which could be binNMUed to
help db5.1 transition and they haven't been scheduled to binNMU yet.

nmu batv-milter_0.4.0.dfsg-2 . amd64 . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621348)"
nmu dnshistory_1.3-2 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621349)"
nmu hotkeys_0.5.7.4-0.3 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621354)"
nmu hpsockd_0.17 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621104)"
nmu chise-base_0.3.0-2 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621430)"
nmu jigdo_0.7.3-3 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621451)"
nmu libapache2-mod-qos_9.54-2 . sparc . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621405)"
nmu libpam-ccreds_10-5 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621424)"
nmu librcc_0.2.9-2 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621417)"
nmu log4cxx_0.10.0-1.1 . ALL . -m "Rebuild against new libaprutil1-dev to use libdb5.1 (Closes: #621407)"
nmu nmh_1.3-1 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621397)"
nmu nss-updatedb_10-2 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621441)"
nmu redland_1.0.13-2 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621444)"
nmu webalizer_2.01.10-32.7 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621446)"
nmu webdruid_0.5.4-12 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621433)"
nmu xemacs21_21.4.22-3.1 . ALL . -m "Rebuild against new libdb-dev to use libdb5.1 (Closes: #621456)"

Thanks,
Ondrej

-- System Information:
Debian Release: 6.0.1
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=cs_CZ.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Reply sent to Mehdi Dogguy <mehdi@dogguy.org>:
You have taken responsibility. (Thu, 19 May 2011 15:27:15 GMT) Full text and rfc822 format available.

Notification sent to Ondřej Surý <ondrej@debian.org>:
Bug acknowledged by developer. (Thu, 19 May 2011 15:27:15 GMT) Full text and rfc822 format available.

Message #17 received at 622754-done@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Ondřej Surý <ondrej@debian.org>, 622754-done@bugs.debian.org
Subject: Re: Bug#622754: Updated list of binNMUs needed for db5.1 transition
Date: Thu, 19 May 2011 17:22:15 +0200
On 19/05/2011 15:35, Ondřej Surý wrote:
> Package: release.debian.org
> Severity: normal
> 
> Hi,
> 
> this is more up-to-date list of packages which could be binNMUed to
> help db5.1 transition and they haven't been scheduled to binNMU yet.
> 
> […]
> 

All scheduled.

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Reply sent to Mehdi Dogguy <mehdi@dogguy.org>:
You have taken responsibility. (Thu, 19 May 2011 15:27:16 GMT) Full text and rfc822 format available.

Notification sent to Ondřej Surý <ondrej@debian.org>:
Bug acknowledged by developer. (Thu, 19 May 2011 15:27:16 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 17 Jun 2011 07:40:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 02:31:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.